Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.util
Class ContextUsers

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--context.arch.util.ContextUsers

public class ContextUsers
extends java.util.Hashtable

This class maintains a list of ContextUser objects.

See Also:
  `ContextUser`, Serialized Form

Field Summary
`static java.lang.String` | `CONTEXT_USER` Tag for context user
`static java.lang.String` | `CONTEXT_USERS` Tag for context users
`static java.lang.String` | `DESCRIPTION` Tag for description
`static java.lang.String` | `EMAIL` Tag for user's email address
`static java.lang.String` | `IBUTTONID` Tag for user's iButton id
`static java.lang.String` | `ORGANIZATION` Tag for user's organization
`static java.lang.String` | `REALNAME` Tag for user's name
`static java.lang.String` | `VERSION` Tag for version

Constructor Summary
`ContextUsers()` Basic empty constructor
`ContextUsers(DataObject data)` Constructor that creates a ContextUser object from a DataObject.

Method Summary
`void` | `addContextUser(ContextUser user)` Adds a context user to the list
`ContextUser` | `getContextUser(java.lang.String description)` Retrieves a context user from the list
`java.util.Enumeration` | `getEnumeration()` Returns an enumeration of the context users
`java.lang.String` | `getVersion()` Returns the version number

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION

    public static final java.lang.String VERSION

  Tag for version

### CONTEXT_USERS

    public static final java.lang.String CONTEXT_USERS

  Tag for context users

### CONTEXT_USER

    public static final java.lang.String CONTEXT_USER

  Tag for context user

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

  Tag for description

### REALNAME

    public static final java.lang.String REALNAME

  Tag for user's name

### EMAIL

    public static final java.lang.String EMAIL

  Tag for user's email address

### ORGANIZATION

    public static final java.lang.String ORGANIZATION

  Tag for user's organization

### IBUTTONID

    public static final java.lang.String IBUTTONID

  Tag for user's iButton id

Constructor Detail

### ContextUsers

    public ContextUsers()

  Basic empty constructor

### ContextUsers

    public ContextUsers(DataObject data)

  Constructor that creates a ContextUser object from a DataObject.
  Parameters:
    `data` - DataObject containing context user information

Method Detail

### addContextUser

    public void addContextUser(ContextUser user)

  Adds a context user to the list
  Parameters:
    `user` - Context user to add

### getContextUser

    public ContextUser getContextUser(java.lang.String description)

  Retrieves a context user from the list
  Parameters:
    `description` - Description to use to retrieve the context user
  Returns:
    ContextUser object with the corresponding description

### getEnumeration

    public java.util.Enumeration getEnumeration()

  Returns an enumeration of the context users
  Returns:
    Enumeration of the context users

### getVersion

    public java.lang.String getVersion()

  Returns the version number
  Returns:
    version number for this list

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD